<?php
// Version: 2.3; PortalArticles

function template_articles()
{
	global $context, $txt, $modSettings;

	if (empty($modSettings['articleactive']))
		return;

	echo '
			<div id="articleslider" class="sliderwrapper">';

	while ($article = $context['get_articles']())
	{
		echo '
				<div class="contentdiv">
					<div class="tborder">
						<table class="sp_block">
							<tr class="catbg">
								<td class="sp_middle">', $article['message']['icon'], '</td>
								<td class="sp_middle sp_regular_padding sp_fullwidth">', $article['topic']['link'], ' | ', $article['message']['timeyear'], '</td>
							</tr>
							<tr class="windowbg">
								<td class="sp_regular_padding" colspan="2">';

		if (!empty($modSettings['articleavatar']) && $article['poster']['avatar']['name'] !== null && !empty($article['poster']['avatar']['href']))
			echo '
									<img src="', $article['poster']['avatar']['href'], '" alt="', $article['poster']['name'], '" width="30" style="float: right;" />
									<div class="middletext">', $article['message']['timeday'], ' ', $txt[525], ' ', $article['poster']['link'], '<br />', $txt['sp-articlesViews'], ': ', $article['topic']['views'], ' | ', $txt['sp-articlesComments'], ': ', $article['topic']['replies'], '</div>';
		else
			echo '
									<div class="middletext">', $article['message']['timeday'], ' ', $txt[525], ' ', $article['poster']['link'], ' | ', $txt['sp-articlesViews'], ': ', $article['topic']['views'], ' | ', $txt['sp-articlesComments'], ': ', $article['topic']['replies'], '</div>';

		echo '
									<div class="post"><hr />', !empty($article['category']['picture']['href']) ? '<div><img src="' . $article['category']['picture']['href'] . '" alt="' . $article['category']['name'] . '" class="sp_article_image" align="right" /></div>' : '', $article['message']['body'], '<br/><br/>
									</div>
								</td>
							</tr>
							<tr>
								<td class="windowbg2" colspan="2">
									<div class="sp_right sp_regular_padding">', $article['article']['link'], ' ',  $article['article']['new_comment'], '</div>
								</td>
							</tr>
						</table>
					</div>
				</div>';
	}

	echo '
			</div>
			<div id="paginate-articleslider" class="pagination">
				<a href="#" class="prev" style="margin-left: 10px">&lt;</a> <a href="#" class="next">&gt;</a>
			</div>
<script type="text/javascript">
featuredcontentslider.init({
	id: "articleslider",
	contentsource: ["inline", ""],
	toc: "markup",
	nextprev: ["Previous", "Next"],
	revealtype: "click",
	enablefade: [true, 0.2],
	autorotate: [true, 3000],
	onChange: function(previndex, curindex){  //event handler fired whenever script changes slide
		//previndex holds index of last slide viewed b4 current (1=1st slide, 2nd=2nd etc)
		//curindex holds index of currently shown slide (1=1st slide, 2nd=2nd etc)
	}
})
</script>';
}

function template_add_article()
{
	global $context, $scripturl, $txt;

	echo '<br />
	<table border="0" align="center" cellspacing="1" cellpadding="4" class="tborder" width="40%">
		<tr class="catbg">
			<td>', $txt['sp-articlesAdd'], '</td>
		</tr>
		<tr class="windowbg2">
			<td align="center">
				<form action="', $scripturl, '?action=portal;sa=addarticle" method="post" accept-charset="', $context['character_set'], '">
					<table cellpadding="4">
						<tr>
							<th align="right">', $txt['sp-articlesCategory'], ':</th>
							<td align="left">
								<select id="category" name="category">';

								foreach($context['list_categories'] as $category)
									echo '
									<option value="', $category['id'], '">', $category['name'], '</option>';

								echo '
								</select>
							</td>
						</tr><tr>
							<td colspan="2" align="center"><input type="submit" name="add_article" value="', $txt['sp-articlesAdd'], '" /></td>
						</tr>
					</table>
				<input type="hidden" name="return" value="', $context['return'], '" />
				<input type="hidden" name="message" value="', $context['message'], '" />
				<input type="hidden" name="sc" value="', $context['session_id'], '" />
				</form>
			</td>
		</tr>
	</table>';
}

?>